# Visualization
TKService
WNT

# WNT_TextNote Struct Reference

`#include <W32_Allocator.hxx>`

Inheritance diagram for WNT_TextNote:

[legend]

## Public Member Functions

| WNT_TextNote (int, int, double, void *, BOOL=FALSE, BOOL=FALSE)
virtual void | Play (BOOL=TRUE)
virtual void | Xform (void)
void | SetAttribs ()
void | RestoreAttribs ()
void | PaintText ()
void | OutlineText ()
void | FillText ()

## Data Fields

void * | myText
double | mySlant
DWORD | myFlags
int | myShift
XFORM | RMatrix
XFORM | IMatrix
XFORM | SMatrix

## Constructor & Destructor Documentation

WNT_TextNote::WNT_TextNote | ( | int | ,
|  | int | ,
|  | double | ,
|  | void * | ,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) |

## Member Function Documentation

void WNT_TextNote::FillText | ( |  | ) |

void WNT_TextNote::OutlineText | ( |  | ) |

void WNT_TextNote::PaintText | ( |  | ) |

virtual void WNT_TextNote::Play | ( | BOOL | = `TRUE` | ) | `[virtual]`

| Reimplemented from WNT_PointNote. Reimplemented in WNT_PolyTextNote.

void WNT_TextNote::RestoreAttribs | ( |  | ) |

void WNT_TextNote::SetAttribs | ( |  | ) |

virtual void WNT_TextNote::Xform | ( | void |  | ) | `[virtual]`

| Reimplemented from WNT_PointNote.

## Field Documentation

XFORM WNT_TextNote::IMatrix

DWORD WNT_TextNote::myFlags

int WNT_TextNote::myShift

double WNT_TextNote::mySlant

void* WNT_TextNote::myText

XFORM WNT_TextNote::RMatrix

XFORM WNT_TextNote::SMatrix

The documentation for this struct was generated from the following file:

- W32_Allocator.hxx